function Adm03000_ReNotasFiscais_Repository(restEngine) {
	this.parametersForFilial = function(filtro){
		return restEngine.post('df_relatorios#/paramfilial_forAdm03000', {
            "requestType": "FilterData",
            "filter": filtro
        });
	};

	this.parametersForNotaFiscal = function(filtro){
		return restEngine.post('df_relatorios#/notafiscal_forAdm03000', {
            "requestType": "FilterData",
            "filter": filtro
        });
	};

	this.geraRelatorio = function(row){
    return restEngine.post('df_relatorios#/geraRelatorioDoRe',
        {
            "requestType":"Row",
            "row": row
        }
    );
	};
}

Configuration(function(ContextRegister) {
	ContextRegister.register('Adm03000_ReNotasFiscais_Repository', Adm03000_ReNotasFiscais_Repository);
});
